summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-4
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgcomm-4')
-rwxr-xr-xgettext-tools/tests/msgcomm-46
1 files changed, 4 insertions, 2 deletions
diff --git a/gettext-tools/tests/msgcomm-4 b/gettext-tools/tests/msgcomm-4
index 4b692e8..551ac17 100755
--- a/gettext-tools/tests/msgcomm-4
+++ b/gettext-tools/tests/msgcomm-4
@@ -29,11 +29,13 @@ msgid "2"
msgstr "2x"
EOF
-tmpfiles="$tmpfiles mcomm-test4.out"
+tmpfiles="$tmpfiles mcomm-test4.tmp mcomm-test4.out"
: ${MSGCOMM=msgcomm}
-${MSGCOMM} --more-than=0 -o mcomm-test4.out \
+${MSGCOMM} --more-than=0 -o mcomm-test4.tmp \
mcomm-test4.in1 mcomm-test4.in2
test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+tr -d '\r' < mcomm-test4.tmp > mcomm-test4.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
tmpfiles="$tmpfiles mcomm-test4.ok"
cat << EOF > mcomm-test4.ok